<?php

namespace EventPortal\Domain\Speaker;

use EventPortal\Domain\Component\Option;

class SpeakerType
{
    public static function asOptions(): array
    {
        return collect(config('speaker-types'))
            ->map(function ($speakerType) {
                return Option::make($speakerType['label'])->value($speakerType['name']);
            })
            ->toArray();
    }
}
